package com.bonus.canteen.core.bus.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

@ApiModel(
   value = "BusLineVO",
   description = "班车线路展示"
)
public class BusLineVO {
   @ApiModelProperty("线路id")
   private Long lineId;
   @ApiModelProperty("线路编号")
   private String lineNum;
   @ApiModelProperty("线路名称")
   private String lineName;
   @ApiModelProperty("线路站点集合str")
   private String lineSites;
   @ApiModelProperty("线路站点集合list")
   private List<Long> lineSiteList;
   @ApiModelProperty("线路站点集合")
   private String lineSitesStr;
   @ApiModelProperty("计费规则id")
   private Long billingId;
   @ApiModelProperty("计费规则名称")
   private String billingName;
   @ApiModelProperty("计费方式(1 按站点计费,2固定计费)")
   private Integer billingType;
   @ApiModelProperty("删除标识(1删除,2正常)")
   private Integer delFlag;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getLineId() {
      return this.lineId;
   }

   public String getLineNum() {
      return this.lineNum;
   }

   public String getLineName() {
      return this.lineName;
   }

   public String getLineSites() {
      return this.lineSites;
   }

   public List<Long> getLineSiteList() {
      return this.lineSiteList;
   }

   public String getLineSitesStr() {
      return this.lineSitesStr;
   }

   public Long getBillingId() {
      return this.billingId;
   }

   public String getBillingName() {
      return this.billingName;
   }

   public Integer getBillingType() {
      return this.billingType;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public BusLineVO setLineId(final Long lineId) {
      this.lineId = lineId;
      return this;
   }

   public BusLineVO setLineNum(final String lineNum) {
      this.lineNum = lineNum;
      return this;
   }

   public BusLineVO setLineName(final String lineName) {
      this.lineName = lineName;
      return this;
   }

   public BusLineVO setLineSites(final String lineSites) {
      this.lineSites = lineSites;
      return this;
   }

   public BusLineVO setLineSiteList(final List<Long> lineSiteList) {
      this.lineSiteList = lineSiteList;
      return this;
   }

   public BusLineVO setLineSitesStr(final String lineSitesStr) {
      this.lineSitesStr = lineSitesStr;
      return this;
   }

   public BusLineVO setBillingId(final Long billingId) {
      this.billingId = billingId;
      return this;
   }

   public BusLineVO setBillingName(final String billingName) {
      this.billingName = billingName;
      return this;
   }

   public BusLineVO setBillingType(final Integer billingType) {
      this.billingType = billingType;
      return this;
   }

   public BusLineVO setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }

   public BusLineVO setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public BusLineVO setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public BusLineVO setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public BusLineVO setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
